<%= form_for(@project) do |f| %>
  <% if @project.errors.any? %>
    <div id="error_explanation">
      <h2><%= pluralize(@project.errors.count, "error") %> prohibited this project from being saved:</h2>

      <ul>
      <% @project.errors.full_messages.each do |message| %>
        <li><%= message %></li>
      <% end %>
      </ul>
    </div>
  <% end %>

  <div class="control-group">
	  <div class="field input-group">
			<span class="input-group-addon" title="Titre"><i class="fa fa-pencil fa-fw"></i></span>
      <%= f.text_field :title, class: "form-control", placeholder: "Titre", value: @project.title %>
    </div>
  </div>
  <div class="control-group">
	  <div class="field input-group">
			<span class="input-group-addon" title="Date de naissance"><i class="fa fa-user fa-fw"></i></span>
      <%= f.select(:partner_id, [], {}, class: "form-control" ) do %>
        <% @partners.each do |partner| %>
          <%= content_tag(:option, partner.name, value: partner.id, selected: (partner.id==@project.partner_id)) %>
        <% end %>
  		<% end %>
    </div>
  </div>
  <div class="control-group">
	  <div class="field input-group">
			<span class="input-group-addon" title="Echéance"><i class="fa fa-calendar fa-fw"></i></span>
      <%= f.text_field :echance, class: "datepicker form-control", placeholder: "Echéance", value: @project.echance && @project.echance.strftime("%d/%m/%Y") %>
    </div>
  </div>
  <div class="control-group">
	  <div class="field input-group">
			<span title="Main d'oeuvre facturable ?">Main d'oeuvre facturable ?</span>
      <%= f.check_box :facturable, value: @project.facturable ? 1 : 0, class: "my-checkbox" %>

    </div>
  </div>
  <div class="control-group">
	  <div class="field input-group">
			<span class="input-group-addon" title="Nombre d'heure maximum pour ce projet"><i class="fa fa-clock-o fa-fw"></i></span>
      <%= f.number_field :max_hours, class: "form-control", placeholder: "Nombre d'heure maximum pour ce projet", value: @project.max_hours %>
    </div>
  </div>
  <div class="control-group">
	  <div class="field input-group">
			<span class="input-group-addon" title="Echéance"><i class="fa fa-calendar fa-fw"></i></span>
      <%= f.text_area :description, class: "form-control", placeholder: "Description", value: @project.description, rows:"20"  %>
    </div>
  </div>
  <div class="actions">
    <%= f.submit "Valider", class: "btn btn-primary", id: "validateButton" %> ou
    <%= link_to 'Retour', (@project.id ? project_path(@project) : projects_path) %>
  </div>

<% end %>
